summaryrefslogtreecommitdiffstats
path: root/Utilities
diff options
context:
space:
mode:
Diffstat (limited to 'Utilities')
-rw-r--r--Utilities/.gitattributes4
-rwxr-xr-xUtilities/Scripts/clang-format.bash10
2 files changed, 7 insertions, 7 deletions
diff --git a/Utilities/.gitattributes b/Utilities/.gitattributes
index bd97802..96a4323 100644
--- a/Utilities/.gitattributes
+++ b/Utilities/.gitattributes
@@ -3,5 +3,5 @@
SetupForDevelopment.sh export-ignore
# Do not format third-party sources.
-/KWIML/** -format.clang-format
-/cm*/** -format.clang-format
+/KWIML/** -format.clang-format-6.0
+/cm*/** -format.clang-format-6.0
diff --git a/Utilities/Scripts/clang-format.bash b/Utilities/Scripts/clang-format.bash
index 4c6225d..7ca4433 100755
--- a/Utilities/Scripts/clang-format.bash
+++ b/Utilities/Scripts/clang-format.bash
@@ -78,7 +78,7 @@ test "$#" = 0 || die "$usage"
# Find a default tool.
tools='
- clang-format-3.8
+ clang-format-6.0
clang-format
'
if test "x$clang_format" = "x"; then
@@ -96,8 +96,8 @@ if ! type -p "$clang_format" >/dev/null; then
exit 1
fi
-if ! "$clang_format" --version | grep 'clang-format version 3\.8' >/dev/null 2>/dev/null; then
- echo "clang-format version 3.8 is required (exactly)"
+if ! "$clang_format" --version | grep 'clang-format version 6\.0' >/dev/null 2>/dev/null; then
+ echo "clang-format version 6.0 is required (exactly)"
exit 1
fi
@@ -115,8 +115,8 @@ esac
$git_ls |
# Select sources with our attribute.
- git check-attr --stdin format.clang-format |
- grep -e ': format\.clang-format: set$' |
+ git check-attr --stdin format.clang-format-6.0 |
+ grep -e ': format\.clang-format-6\.0: set$' |
sed -n 's/:[^:]*:[^:]*$//p' |
# Update sources in-place.